<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Tue Apr 28 15:50:00 CEST 2020 -->
<title>RTDataTypesPackage</title>
<meta name="date" content="2020-04-28">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RTDataTypesPackage";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTDataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="RTDataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes</div>
<h2 title="Interface RTDataTypesPackage" class="title">Interface RTDataTypesPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl">RTDataTypesPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RTDataTypesPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
   <li>each class,</li>
   <li>each feature of each class,</li>
   <li>each enum,</li>
   <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>RTDataTypesFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes">RTDataTypesPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
   each class,
   each feature of each class,
   each enum,
   and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_BURST_PATTERN">CH_BURST_PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_BurstPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Burst Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_BURST_PATTERN_FEATURE_COUNT">CH_BURST_PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>CH Burst Pattern</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_PERIODIC_PATTERN">CH_PERIODIC_PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_PeriodicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Periodic Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_PERIODIC_PATTERN_FEATURE_COUNT">CH_PERIODIC_PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>CH Periodic Pattern</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_SPORADIC_PATTERN">CH_SPORADIC_PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_SporadicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Sporadic Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#CH_SPORADIC_PATTERN_FEATURE_COUNT">CH_SPORADIC_PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>CH Sporadic Pattern</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes">RTDataTypesPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#TA_ARBITRARY_PATTERN">TA_ARBITRARY_PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_ArbitraryPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>TA Arbitrary Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#TA_ARBITRARY_PATTERN_FEATURE_COUNT">TA_ARBITRARY_PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>TA Arbitrary Pattern</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#TA_PATTERN">TA_PATTERN</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_PatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>TA Pattern</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#TA_PATTERN_FEATURE_COUNT">TA_PATTERN_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>TA Pattern</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getCH_BurstPattern--">getCH_BurstPattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_BurstPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Burst Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getCH_PeriodicPattern--">getCH_PeriodicPattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_PeriodicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Periodic Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getCH_SporadicPattern--">getCH_SporadicPattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_SporadicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Sporadic Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes">RTDataTypesFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getRTDataTypesFactory--">getRTDataTypesFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getTA_ArbitraryPattern--">getTA_ArbitraryPattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_ArbitraryPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>TA Arbitrary Pattern</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html#getTA_Pattern--">getTA_Pattern</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_Pattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>TA Pattern</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;java.lang.String eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;java.lang.String eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;java.lang.String eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes">RTDataTypesPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="CH_SPORADIC_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_SPORADIC_PATTERN</h4>
<pre>static final&nbsp;int CH_SPORADIC_PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_SporadicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Sporadic Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_SporadicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code>CH_SporadicPatternImpl</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html#getCH_SporadicPattern--"><code>RTDataTypesPackageImpl.getCH_SporadicPattern()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_SPORADIC_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_SPORADIC_PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_SPORADIC_PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CH_SPORADIC_PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>CH Sporadic Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_SPORADIC_PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_PERIODIC_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_PERIODIC_PATTERN</h4>
<pre>static final&nbsp;int CH_PERIODIC_PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_PeriodicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Periodic Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_PeriodicPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code>CH_PeriodicPatternImpl</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html#getCH_PeriodicPattern--"><code>RTDataTypesPackageImpl.getCH_PeriodicPattern()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_PERIODIC_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_PERIODIC_PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_PERIODIC_PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CH_PERIODIC_PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>CH Periodic Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_PERIODIC_PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_BURST_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_BURST_PATTERN</h4>
<pre>static final&nbsp;int CH_BURST_PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_BurstPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>CH Burst Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/CH_BurstPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code>CH_BurstPatternImpl</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html#getCH_BurstPattern--"><code>RTDataTypesPackageImpl.getCH_BurstPattern()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_BURST_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CH_BURST_PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CH_BURST_PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int CH_BURST_PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>CH Burst Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.CH_BURST_PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TA_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TA_PATTERN</h4>
<pre>static final&nbsp;int TA_PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_PatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>TA Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_PatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code>TA_PatternImpl</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html#getTA_Pattern--"><code>RTDataTypesPackageImpl.getTA_Pattern()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.TA_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TA_PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TA_PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int TA_PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>TA Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.TA_PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TA_ARBITRARY_PATTERN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TA_ARBITRARY_PATTERN</h4>
<pre>static final&nbsp;int TA_ARBITRARY_PATTERN</pre>
<div class="block">The meta object id for the '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_ArbitraryPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code><em>TA Arbitrary Pattern</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/TA_ArbitraryPatternImpl.html" title="class in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.impl"><code>TA_ArbitraryPatternImpl</code></a>, 
<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/impl/RTDataTypesPackageImpl.html#getTA_ArbitraryPattern--"><code>RTDataTypesPackageImpl.getTA_ArbitraryPattern()</code></a>, 
<a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.TA_ARBITRARY_PATTERN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TA_ARBITRARY_PATTERN_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TA_ARBITRARY_PATTERN_FEATURE_COUNT</h4>
<pre>static final&nbsp;int TA_ARBITRARY_PATTERN_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>TA Arbitrary Pattern</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../constant-values.html#org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes.RTDataTypesPackage.TA_ARBITRARY_PATTERN_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCH_SporadicPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_SporadicPattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCH_SporadicPattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_SporadicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Sporadic Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Sporadic Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_SporadicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>CH_SporadicPattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_PeriodicPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_PeriodicPattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCH_PeriodicPattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_PeriodicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Periodic Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Periodic Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_PeriodicPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>CH_PeriodicPattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getCH_BurstPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCH_BurstPattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getCH_BurstPattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_BurstPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>CH Burst Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>CH Burst Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/CH_BurstPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>CH_BurstPattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getTA_Pattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTA_Pattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getTA_Pattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_Pattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>TA Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>TA Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_Pattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>TA_Pattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getTA_ArbitraryPattern--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTA_ArbitraryPattern</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getTA_ArbitraryPattern()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_ArbitraryPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code><em>TA Arbitrary Pattern</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>TA Arbitrary Pattern</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/TA_ArbitraryPattern.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><code>TA_ArbitraryPattern</code></a></dd>
</dl>
</li>
</ul>
<a name="getRTDataTypesFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRTDataTypesFactory</h4>
<pre><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes">RTDataTypesFactory</a>&nbsp;getRTDataTypesFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RTDataTypesPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesFactory.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.Literals.html" title="interface in org.polarsys.chess.chessmlprofile.Predictability.RTComponentModel.RTDataTypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/polarsys/chess/chessmlprofile/Predictability/RTComponentModel/RTDataTypes/RTDataTypesPackage.html" target="_top">Frames</a></li>
<li><a href="RTDataTypesPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
